### Class

# GskTextNode

#### Description [src]

    final class Gsk.TextNode : GObject.TypeInstance
    {
      /* No available fields */
    }

A render node drawing a set of glyphs.

#### Hierarchy

#### Ancestors

- GskRenderNode

#### Constructors

###### gsk_text_node_new

Creates a render node that renders the given glyphs.

#### Instance methods

###### gsk_text_node_get_color

Retrieves the color used by the text `node`.

###### gsk_text_node_get_font

Returns the font used by the text `node`.

###### gsk_text_node_get_glyphs

Retrieves the glyph information in the `node`.

###### gsk_text_node_get_num_glyphs

Retrieves the number of glyphs in the text node.

###### gsk_text_node_get_offset

Retrieves the offset applied to the text.

###### gsk_text_node_has_color_glyphs

Checks whether the text `node` has color glyphs.

since: 4.2

##### Methods inherited from GskRenderNode (7)

###### gsk_render_node_draw

Draw the contents of `node` to the given cairo context.

###### gsk_render_node_get_bounds

Retrieves the boundaries of the `node`.

###### gsk_render_node_get_node_type

Returns the type of the `node`.

###### gsk_render_node_ref

Acquires a reference on the given `GskRenderNode`.

###### gsk_render_node_serialize

Serializes the `node` for later deserialization via gsk_render_node_deserialize(). No guarantees are made about the format used other than that the same version of GTK will be able to deserialize the result of a call to `gsk_render_node_serialize()` and `gsk_render_node_deserialize()` will correctly reject files it cannot open that were created with previous versions of GTK.

###### gsk_render_node_unref

Releases a reference on the given `GskRenderNode`.

###### gsk_render_node_write_to_file

This function is equivalent to calling `gsk_render_node_serialize()` followed by `g_file_set_contents()`.